Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230960 - sendmail doesn't depend on hesiod
Summary: sendmail doesn't depend on hesiod
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 03:08 UTC by William Lovaton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: test3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 10:34:52 UTC


Attachments (Terms of Use)

Description William Lovaton 2007-03-05 03:08:48 UTC
Description of problem:
After applying the latest updates on a Fedora 7 Test 2 system, sendmail doesn't
work anymore because /usr/bin/makemap links to libhesiod.so.0 which doesn't
exists because the package hesiod isn't installed on the system.

After installing this package sendmail works again so I guess this is a
dependency issue in the sendmail package.  The funny thing is that "rpm -q
--requires sendmail" shows libhesiod.so.0 as a dependency... may be this is a
yum/rpm problem.


The error I got from sendmail was:
Starting sendmail: makemap: error while loading shared libraries:
libhesiod.so.0: cannot open shared object file: No such file or directory
makemap: error while loading shared libraries: libhesiod.so.0: cannot open
shared object file: No such file or directory
makemap: error while loading shared libraries: libhesiod.so.0: cannot open
shared object file: No such file or directory
makemap: error while loading shared libraries: libhesiod.so.0: cannot open
shared object file: No such file or directory
/usr/sbin/sendmail: error while loading shared libraries: libhesiod.so.0: cannot
open shared object file: No such file or directory
                                                           [FAILED]
Starting sm-client: /usr/sbin/sendmail: error while loading shared libraries:
libhesiod.so.0: cannot open shared object file: No such file or directory
                                                           [FAILED]
[root@localhost ~]#

Comment 1 William Lovaton 2007-03-30 18:58:32 UTC
Since bug #230940 is more or less the same thing, I guess it's safe to close
this bug too.

Comment 2 Thomas Woerner 2007-04-02 10:34:52 UTC
Closing this according to #230940.


Note You need to log in before you can comment on or make changes to this bug.